package com.jeeplus.test.garbageClearance.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.sys.service.dto.UserDTO;
import com.jeeplus.test.garbageClearance.domain.LookOver;
import com.jeeplus.test.garbageClearance.service.DTO.LookOverDTO;
import com.jeeplus.test.oss.domain.WorkAttachmentInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 垃圾清运-巡视工单 Mapper 接口
 * </p>
 *
 * @author 王强
 * @since 2024-08-29
 */
public interface LookOverMapper extends BaseMapper<LookOver> {


    IPage<LookOver> findPage(Page<LookOverDTO> page, @Param(Constants.WRAPPER) QueryWrapper queryWrapper);

    UserDTO getUserInfoByOffId(@Param("officeId") String officeId);

    List<UserDTO> getOfficeOnHamlet();

    /**
     * 根据id获取巡视工单信息
     * @param id
     * @return
     */
    LookOver selectByID(@Param("id") String id);

    //查出附件信息
    List<WorkAttachmentInfo> getByAttachmentId(String id);

    //查出附件信息
    List<WorkAttachmentInfo> getByAttachmentIdAndFlag(String id,String flag);

    void updateStatus(LookOver lookOver);

    void updateDisposeStatus(LookOver lookOver);


    List<LookOver> getListByIdList(@Param("idList") List<String> idList);
}
